Subject: bug#79450: (web server) documentation is wrong

From: "Athena L. Martin" <[email-masked]>
Date: Mon, 15 Sep 2025 01:11:45 +0100

The manual says that (web server)'s 'http can accept an address family like 
this:
(run-server handler 'http '(#:family AF_INET6 #:port 8081))

This doesn't work because AF_INET6 is quoted here. A correct example looks 
like:
(run-server handler 'http `(#:family ,AF_INET6 #:port 8081))

Note that this example currently doesn't work because of another bug (make-
default-socket hard-codes PF_INET) which I have reported in another message.

I would fix the manual myself but I don't know texinfo.

(Question: Did anyone test this example before publishing it, or did something 
change later? How did an incorrect version of such a simple example sneak in?)